CommandHandler.Builder (Solr 3.6.2 API)
Keywords: org.apache.solr.search.grouping.CommandHandler.Builder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.grouping
Class CommandHandler.Builder

    java.lang.Object
      org.apache.solr.search.grouping.CommandHandler.Builder

Enclosing class:
  CommandHandler

    public static class CommandHandler.Builder

extends Object

Constructor Summary
`CommandHandler.Builder()`

Method Summary
`CommandHandler.Builder` | `addCommandField(Command commandField)`
`CommandHandler` | `build()`
`CommandHandler.Builder` | `setIncludeHitCount(boolean includeHitCount)`
`CommandHandler.Builder` | `setNeedDocSet(boolean needDocSet)` Sets whether to compute a `DocSet`.
`CommandHandler.Builder` | `setQueryCommand(SolrIndexSearcher.QueryCommand queryCommand)`
`CommandHandler.Builder` | `setSearcher(SolrIndexSearcher searcher)`
`CommandHandler.Builder` | `setTruncateGroups(boolean truncateGroups)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandHandler.Builder

    public CommandHandler.Builder()

Method Detail

### setQueryCommand

    public CommandHandler.Builder setQueryCommand(SolrIndexSearcher.QueryCommand queryCommand)

### addCommandField

    public CommandHandler.Builder addCommandField(Command commandField)

### setSearcher

    public CommandHandler.Builder setSearcher(SolrIndexSearcher searcher)

### setNeedDocSet

    public CommandHandler.Builder setNeedDocSet(boolean needDocSet)

  Sets whether to compute a `DocSet`. May override the value set by `setQueryCommand(org.apache.solr.search.SolrIndexSearcher.QueryCommand)`.

  Parameters:
    `needDocSet` - Whether to compute a `DocSet`
  Returns:
    this

### setIncludeHitCount

    public CommandHandler.Builder setIncludeHitCount(boolean includeHitCount)

### setTruncateGroups

    public CommandHandler.Builder setTruncateGroups(boolean truncateGroups)

### build

    public CommandHandler build()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD